# Market_Place_NFT

## Setup

#### Environment (Windows)
After cloning the project, install python virtual environment:
```
pip install virtualenv
```
Go to ```NFTmarket``` folder and create a virtual environment:
```
python -m venv virtenv
```
Activate virtual environment:
```
cd virtenv\Scripts
./activate
```
Go to ```NFTmarket``` folder and install all specified in ```requirements.txt```:
```
cd..
cd..
pip install -r requirements.txt
```
#### First run
Go to ```NFTmarket/NFTmarket```(where ```manage.py``` is located) folder and create the database
```
cd src
python manage.py migrate --run-syncdb
```
Create superuser
```
python manage.py createsuperuser
```
Run the server
```
python manage.py runserver
```
Server can be accesed at

[http://127.0.0.1:8000/](http://127.0.0.1:8000/)

[http://127.0.0.1:8000/admin](http://127.0.0.1:8000/admin)

#### For React Frontend
Compile webpack
```
npm run dev
```
After build is successful, stop webpack and run django

